[nautilus-actions] FmaMenu: add a debug message



commit df47ab58f5b9219b0da2fea745d2316adefb5f1f
Author: Pierre Wieser <pwieser trychlos org>
Date:   Tue Feb 21 17:21:58 2017 +0100

    FmaMenu: add a debug message
    
    The debug message itself is rather useless, but put here in order to prevent
    a compilation warning.

 TODO                      |   15 ++++++++++-
 docs/manual/Makefile.am   |   18 ++++++++++++-
 maintainer/run-autogen.sh |   61 ++++++++++++++++++++++-----------------------
 src/ui/fma-menu.c         |    3 ++
 4 files changed, 63 insertions(+), 34 deletions(-)
---
diff --git a/TODO b/TODO
index 97612d7..c0542e7 100644
--- a/TODO
+++ b/TODO
@@ -166,7 +166,20 @@ FileManager-Actions - TODO
 
  112 2012-10-17 it appears that de.xml doesn't validate
 
- 113
+ 113 2017- 2-16 checking for gtkdoc-check... /usr/bin/gtkdoc-check
+                checking for gtkdoc-rebase... /usr/bin/gtkdoc-rebase
+                checking for gtkdoc-mkpdf... /usr/bin/gtkdoc-mkpdf
+                checking whether to build gtk-doc documentation... no
+                Should actually check whether to build the doc before
+                checking for gtk-doc  tools
+
+ 114 2017- 2-16 checking gnome-doc-utils >= 0.3.2... yes
+                checking whether to build HTML manuals... no
+                checking whether to build PDF manuals... no
+                Should actually check whether to build the manuals before
+                checking for g-d-u tools
+
+ 115
 
 -----------------------------------------------------------------------
  DONE
diff --git a/docs/manual/Makefile.am b/docs/manual/Makefile.am
index be5413f..1da88a9 100644
--- a/docs/manual/Makefile.am
+++ b/docs/manual/Makefile.am
@@ -51,8 +51,6 @@
 # to correctly generate POT files (cf. mail of Claude Paroz 2010-08-29
 # http://mail.gnome.org/archives/gnome-i18n/2010-August/msg00229.html).
 
-include $(top_srcdir)/gnome-doc-utils.make
-
 DOC_MODULE = fma-config-tool
 
 #DOC_ENTITIES = $(patsubst $(srcdir)/C/%,%,$(shell \ls -1 $(srcdir)/C/*.xml | $(GREP) -v $(DOC_MODULE)))
@@ -134,6 +132,14 @@ DOC_FIGURES = \
        figures/start-zenity-result.png                                 \
        figures/stock-icon-about.png
 
+if BUILD_HTML_MANUALS
+include $(top_srcdir)/gnome-doc-utils.make
+else
+if BUILD_PDF_MANUALS
+include $(top_srcdir)/gnome-doc-utils.make
+endif
+endif
+
 #DOC_LINGUAS = $(patsubst $(srcdir)/%,%,$(shell find $(srcdir) -mindepth 1 -maxdepth 1 -type d | $(GREP) -v 
$(srcdir)/C))
 DOC_LINGUAS = de el es fr sl
 
@@ -261,7 +267,11 @@ MAINTAINERCLEANFILES =
 MANUALS_HTML = $(MANUALS_XML:%.xml=%.html)
 MAINTAINERCLEANFILES += $(MANUALS_HTML)
 
+if BUILD_HTML_MANUALS
 all-html-manuals: $(MANUALS_HTML)
+else
+all-html-manuals:
+endif
 
 # The rule here is: only rebuild html/ files if corresponding xml has changed
 # .xml themselves are distributed, so are not modified when building from a
@@ -438,7 +448,11 @@ MANUALS_PDF = $(MANUALS_XML:%.xml=%.pdf)
 
 MAINTAINERCLEANFILES += $(MANUALS_PDF)
 
+if BUILD_PDF_MANUALS
 all-pdf-manuals: $(MANUALS_PDF)
+else
+all-pdf-manuals:
+endif
 
 # workaround against l10n bug #664768
 # pdflatex cannot generate some localized pdf
diff --git a/maintainer/run-autogen.sh b/maintainer/run-autogen.sh
index 88ff03c..3041d63 100755
--- a/maintainer/run-autogen.sh
+++ b/maintainer/run-autogen.sh
@@ -61,15 +61,13 @@
 # pwi 2017- 2-16
 # The 'configure' script is to be run in all targeted distributions.
 # In order to avoid versions issues, the script itself should be built
-# from the oldest distribution.
+# from the oldest targeted distribution.
 # This implies that documentation build tools (gtk-doc, gnome-doc-utils,
 # pdflatex, etc.) should also be installed on this distribution.
-
-#if [ ! -f configure.ac ]; then
-#      echo "> This script is a maintainer-only script." 1>&2
-#      echo "> It is only meant to be run from the top source directory." 1>&2
-#      exit 1
-#fi
+# As a consequence, documentation is better to be built on this same
+# oldest targeted distribution.
+# As a second consequence, there is no need to install documentation
+# build tools in the maintainer main machine.
 
 # we shouldn't run this script from the maintainer machine
 if [ "$(uname -n)" = "xps13" ]; then
@@ -81,30 +79,31 @@ maintainer_dir=$(cd ${0%/*}; pwd)
 top_srcdir="${maintainer_dir%/*}"
 
 (
-cd "${top_srcdir}"
-PkgName=`autoconf --trace 'AC_INIT:$1' configure.ac`
-pkgname=$(echo $PkgName | tr '[[:upper:]]' '[[:lower:]]')
-
-# a filemanager-actions-x.y may remain after an aborted make distcheck
-# such a directory breaks gnome-autogen.sh generation
-# so clean it here
-for d in $(find ${top_srcdir} -maxdepth 2 -type d -name "${pkgname}-*"); do
+ cd "${top_srcdir}"
+ PkgName=`autoconf --trace 'AC_INIT:$1' configure.ac`
+ pkgname=$(echo $PkgName | tr '[[:upper:]]' '[[:lower:]]')
+
+ # a filemanager-actions-x.y may remain after an aborted make distcheck
+ # such a directory breaks gnome-autogen.sh generation
+ # so clean it here
+ for d in $(find ${top_srcdir} -maxdepth 2 -type d -name "${pkgname}-*"); do
        echo "> Removing $d"
        chmod -R u+w $d
        rm -fr $d
-done
+ done
 
-echo "> Running aclocal"
-m4_dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1' configure.ac`
-aclocal -I "${m4_dir}" --install || exit 1
+ echo "> Running aclocal"
+ m4_dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1' configure.ac`
+ aclocal -I "${m4_dir}" --install || exit 1
 
-# requires gtk-doc package
-# used for Developer Reference Manual generation (devhelp)
-echo "> Running gtkdocize"
-gtkdocize --copy || exit 1
+ # requires gtk-doc package
+ # used for Developer Reference Manual generation (devhelp)
+ echo "> Running gtkdocize"
+ gtkdocize --copy || exit 1
 
-echo "> Running autoreconf"
-autoreconf --verbose --force --install -Wno-portability || exit 1
+ echo "> Running autoreconf"
+ autoreconf --verbose --force --install -Wno-portability || exit 1
+)
 
 runconf="${top_srcdir}/run-configure.sh"
 echo "> Generating ${runconf}"
@@ -142,7 +141,8 @@ cat <<EOF >${runconf}
 #   on $(date) - Please do not manually modify it.
 
 # top_srcdir here is the root of the source directory
-top_srcdir="\$(cd \${0%/*}; pwd)"
+#top_srcdir="\$(cd \${0%/*}; pwd)"
+top_srcdir="${top_srcdir}"
 
 # heredir is the root of the _build/_install directories
 heredir=\$(pwd)
@@ -153,12 +153,10 @@ cd \${heredir}/_build
 conf_cmd="\${top_srcdir}/configure"
 conf_args="${conf_args}"
 conf_args="\${conf_args} --prefix=\${heredir}/_install"
-conf_args="\${conf_args} --sysconfdir=/etc"
 conf_args="\${conf_args} --with-nautilus-extdir=\${heredir}/_install/lib/nautilus"
 conf_args="\${conf_args} --with-nemo-extdir=\${heredir}/_install/lib/nemo"
 conf_args="\${conf_args} --with-caja-extdir=\${heredir}/_install/lib/caja"
 conf_args="\${conf_args} --enable-maintainer-mode"
-conf_args="\${conf_args} --enable-docs"
 conf_args="\${conf_args} $*"
 conf_args="\${conf_args} \$*"
 
@@ -170,10 +168,11 @@ tput sgr0
 \${conf_cmd} \${conf_args}
 EOF
 
+set -x
 echo "> Executing ${runconf}
 "
-chmod a+x ${runconf}
-${runconf} &&
+chmod a+x ${runconf} &&
+cp ${runconf} . &&
+./${runconf##*/} &&
 make -C _build &&
 make -C _build install
-)
diff --git a/src/ui/fma-menu.c b/src/ui/fma-menu.c
index 6edc2f4..f31037a 100644
--- a/src/ui/fma-menu.c
+++ b/src/ui/fma-menu.c
@@ -237,6 +237,9 @@ fma_menu_app( FMAApplication *application )
                        gint count = g_menu_model_get_n_items( menubar );
                        g_menu_insert_submenu( G_MENU( menubar ), count-1, _( "_Maintainer" ), maintainer_mm 
);
                }
+#else
+               /* useless debug, just to prevent any compilation warning on unused variable */
+               g_debug( "%s: unused maintainer menu %s", thisfn, st_ui_maintainer_menu );
 #endif
 
        } else {


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]